• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Meeting the 64 Bit Requirement Google Play

Arc Trooper

Member
I have trouble adding an app I made in Gamemaker Studio 2 to Google Play; the only things I'm able to modify is the version of Android and the paths to SDK, JDK, and NDK. I can select the architecture of the device: Armv7, x86, Arm64, x86_64. However, selecting just one of the architectures doesn't seem to affect it. So I'd like some advice or tips on what I can do; any help would be greatly appreciated.

From threads and links, people have said the same things to meet the new requirements. However, I do not know what Flutter is; it seems to be an IDE or a terminal of some sort. They all say to make some modifications to "Gradle". Is the Gradle file similar to a txt file, with directions?

I keep seeing recommendations like this:

add following line app level build.gradle
ndk.abiFilters 'armeabi-v7a','arm64-v8a','x86','x86_64'

run flutter build apk --release --target-platform=android-arm
upload 32bit version to play store
increment versionCode in pubspec.yaml
run flutter build apk --release --target-platform=android-arm64
upload 64bit version to play store
or this:

defaultConfig {
....
renderscriptTargetApi 18
renderscriptSupportModeEnabled true
ndk.abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64', "armeabi"
}
or this:

ndk.abiFilters 'armeabi-v7a','arm64-v8a','x86','x86_64'
I've found multiple Gradle directories; I'm using NVPACK and NVIDIA:

  • C:\NVPACK\gradle-4.4.1\bin
  • C:\NVIDIA\CodeWorksforAndroid\gradle-4.4.1-bin.zip\gradle-4.4.1\bin
Keep in mind, I haven't done much app publishing at all, so I'm not familiar with
files like gradles, much less how to use them.
 

Attachments

pipebkOT

Member
you just need to have ticked the "build for armv7" and "build for arm64", apply, Ok, and then build the apk or aab.



arm64 is obligatory to publish your app on the google play store so if you want to only target just one architecture, it must be that one.
 
Last edited:
Top